Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.som.training.basic.neighborhood
Class NeighborhoodRBF

    java.lang.Object
      org.encog.neural.som.training.basic.neighborhood.NeighborhoodRBF

All Implemented Interfaces:
  NeighborhoodFunction

    public class NeighborhoodRBF

extends Object
implements NeighborhoodFunction

Implements a multi-dimensional RBF neighborhood function.

Constructor Summary
`NeighborhoodRBF(int[] size, RBFEnum type)` Construct a multi-dimensional neighborhood function.
`NeighborhoodRBF(RBFEnum type, int x, int y)` Construct a 2d neighborhood function based on the sizes for the x and y dimensions.

Method Summary
`double` | `function(int currentNeuron, int bestNeuron)` Calculate the value for the multi RBF function.
`double` | `getRadius()`
`RadialBasisFunction` | `getRBF()`
`void` | `setRadius(double radius)` Set the radius.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeighborhoodRBF

    public NeighborhoodRBF(RBFEnum type,
                           int x,
                           int y)

  Construct a 2d neighborhood function based on the sizes for the x and y dimensions.

  Parameters:
    `type` - The RBF type to use.
    `x` - The size of the x-dimension.
    `y` - The size of the y-dimension.

### NeighborhoodRBF

    public NeighborhoodRBF(int[] size,
                           RBFEnum type)

  Construct a multi-dimensional neighborhood function.

  Parameters:
    `size` - The sizes of each dimension.
    `type` - The RBF type to use.

Method Detail

### function

    public double function(int currentNeuron,
                           int bestNeuron)

  Calculate the value for the multi RBF function.

  Specified by:
    `function` in interface `NeighborhoodFunction`
  Parameters:
    `currentNeuron` - The current neuron.
    `bestNeuron` - The best neuron.
  Returns:
    A percent that determines the amount of training the current neuron should get. Usually 100% when it is the bestNeuron.

### getRadius

    public double getRadius()

  Specified by:
    `getRadius` in interface `NeighborhoodFunction`
  Returns:
    The radius.

### getRBF

    public RadialBasisFunction getRBF()

  Returns:
    The RBF to use.

### setRadius

    public void setRadius(double radius)

  Set the radius.

  Specified by:
    `setRadius` in interface `NeighborhoodFunction`
  Parameters:
    `radius` - The radius.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.